net.corda.core.serialization

## Class NoReferencesSerializer<T>

- net.corda.core.serialization.NoReferencesSerializer<T>

-     public class NoReferencesSerializer<T>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoReferencesSerializer(com.esotericsoftware.kryo.Serializer<T> baseSerializer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.esotericsoftware.kryo.Serializer<T>` | `getBaseSerializer()`
    `T` | `read(com.esotericsoftware.kryo.Kryo kryo, com.esotericsoftware.kryo.io.Input input, java.lang.Class<T> type)`
    `void` | `write(com.esotericsoftware.kryo.Kryo kryo, com.esotericsoftware.kryo.io.Output output, T obj)`

- - ### Constructor Detail

    - #### NoReferencesSerializer

          public NoReferencesSerializer(com.esotericsoftware.kryo.Serializer<T> baseSerializer)

  - ### Method Detail

    - #### read

          public T read(com.esotericsoftware.kryo.Kryo kryo,
                        com.esotericsoftware.kryo.io.Input input,
                        java.lang.Class<T> type)

    - #### write

          public void write(com.esotericsoftware.kryo.Kryo kryo,
                            com.esotericsoftware.kryo.io.Output output,
                            T obj)

    - #### getBaseSerializer

          public com.esotericsoftware.kryo.Serializer<T> getBaseSerializer()